<template>
  <v-slide-x-transition v-if="genes && genes.length > 0" group leave-absolute>
    <v-list-item
      v-for="{ name, favorite, url } in props.genes"
      :key="name"
      :to="url"
      :value="url"
    >
      <template #title>
        <span :class="{ 'font-italic': !favorite }">
          {{ name }}
        </span>
      </template>
    </v-list-item>
  </v-slide-x-transition>
</template>

<script setup lang="ts">
const props = defineProps<{
  genes: {
    name: string;
    url: string;
    favorite?: boolean;
  }[];
}>();
</script>
